import * as UPPayNative from 'libuppayment.so';
export default class UPPayEncrypt {
    static convertToStringOrEmpty(s10) {
        if (s10 !== null && s10 !== undefined && typeof s10 === 'string') {
            return s10;
        }
        else {
            return "";
        }
    }
    static forUrl(q10, r10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.forUrl(q10, r10));
    }
    static forWap(o10, p10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.forWap(o10, p10));
    }
    static forConfig(m10, n10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.forConfig(m10, n10));
    }
    static aesEncryptData(l10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.aesEncryptData(l10));
    }
    static aesDecryptData(k10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.aesDecryptData(k10));
    }
    static encryptPayData(j10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.encryptPayData(j10));
    }
    static decryptPayData(h10, i10) {
        return UPPayEncrypt.convertToStringOrEmpty(UPPayNative.decryptPayData(h10, i10));
    }
}
